[viewBag]

[UserData]
==
{% set obUser = UserData.get %}
{% if obUser.isNotEmpty %}
    <div class="container">
	    <div class="row">
	        <div class="col-md-2 col-sd-12">
	            <div class="menu-account mg-tp-30x">
	                <a href="{{ activeLocale == 'it' ? '/mio-account' : '/my-account'}}"><p>{{'Bacheca'|_}}</p></a>
	                <a href="{{ activeLocale == 'it' ? '/mio-account/orders' : '/my-account/orders'}}"><p><strong>{{'Ordini'|_}}</strong></p></a>
	                <a href="{{ activeLocale == 'it' ? '/mio-account/edit-account/' : '/my-account/edit-account'}}"><p>{{'Dettagli Account'|_}}</p></a>
	                <a href="/wishlist"><p>Wishlist</p></a>
	                <a href="javascript:logout()"><p>Logout</p></a>
	            </div>
	        </div>
	        <div class="col-md-10 col-sd-12">
	        	{# Get OrderCollection object from user object #}
				{% set obOrderList = obUser.order %}
				{% if obOrderList.isNotEmpty() %}
		            <div class="table-responsive">
		                <table class="table ps-tablet ps-table--shopping-cart last-left">
		                    <thead>
		                        <tr>
		                            <th>{{'Ordine'|_}}</th>
		                            <th>{{'Data'|_}}</th>
		                            <th>{{'Stato'|_}}</th>
		                            <th>{{'Totale'|_}}</th>
		                            <th>{{'Azioni'|_}}</th>
		                        </tr>
		                    </thead>
		                    <tbody>
		                    	{% for obOrder in obOrderList %}
		                    		<tr>
			                            <td>{{ obOrder.order_number }}</td>
			                            <td>{{ obOrder.created_at|date('j F Y') }}</td>
			                            <td>{{ obOrder.status.name_for_user }}</td>
			                            <td>{{ obOrder.total_price }} {{ obOrder.currency_symbol }}</td>
			                            <td><a class="ps-btn ps-btn--outline ps-btn--black wishlist crs-ptr" data-request="onDetailsView" data-request-data="order_id : {{obOrder.id}}, order_num : {{obOrder.order_number}}">{{'Dettagli'|_}}</a>{#<a class="ps-btn ps-btn--outline ps-btn--black wishlist" href="#"> Aggiungi al <br>Carrello</a>#}</td>
			                        </tr>
		                        {% endfor %}
		                    </tbody>
		                </table>
		            </div>
	            {% else %}
		            <div class="table-responsive">
						<div>{{'You have no orders yet'|_}}</div>
					</div>
				{% endif %}
	        </div>
	    </div>
	</div>
{% else %}
    <div class="container">
		<div class="row">
		    <div class="col-md-6 col-sd-12">
		        <h2 id="titolologin">{{'Benvenuto'|_}}</h2>
		        <form href="{{ activeLocale == 'it' ? '/mio-account/orders' : '/my-account/orders'}}">
			        <div class="benvenutologin">
			            <p class="form-row form-row-first">
			                <input type="email" class="input-text" name="email" id="field-email-log" placeholder="{{'Indirizzo email'|_ }}*">
			                {% if arError.message is not empty and arError.field == 'email' %}
						        <p>{{ arError.message }}</p>
						    {% endif %}
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password" id="field-password-log"  placeholder="Password*">
			            </p>
			            <a id="a-enter" class="ps-btn benvenuto" href="javascript:login()">{{'Accedi'|_}}</a>
			            {% put scripts %}
			            	<script>
			            		var input = document.getElementById("field-password-log");
								input.addEventListener("keyup", function(event) {
									if (event.keyCode === 13) {
										event.preventDefault();
							   			document.getElementById("a-enter").click();
								  	}
								});
			            	</script>
			            {% endput %}
			            {#
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password" id="field-password-log"  placeholder="Password*">
			            </p>
			            <a class="ps-btn benvenuto" href="javascript:login()">Log in</a>
			            <label>
			            <input name="remember_me" type="checkbox" id="field-remember_me" > <span id="ricordami">Ricordami</span>
			            </label>
			            #}
			            <p><a href="/lose-password">{{'Hai dimenticato la password'|_}}?</a></p>
			        </div>
		        </form>
				{% if arError.message is not empty %}
				    <p>{{ arError.message }}</p>
				{% endif %}
		    </div>
		    <div class="col-md-6 col-sd-12">
		        <h2 id="titolologin">{{'Registrazione'|_}}</h2>
		        <form href="{{ activeLocale == 'it' ? '/mio-account/orders' : '/my-account/orders'}}">
			        <div class="registrazione">
						<p class="form-row form-row-first">
							<input type="text" class="input-text" name="name" id="field-name" value="{{ arForm.name }}" placeholder="{{'Nome'|_}}*">
						</p>
						<p class="form-row form-row-first">
							<input type="text" class="input-text" name="last_name" id="field-last_name" value="{{ arForm.last_name }}" placeholder="{{'Cognome'|_}}*">
						</p>
			            <p class="form-row form-row-first">
			                <input type="email" class="input-text" name="email" id="field-email" value="{{ arForm.email }}" placeholder="{{'Indirizzo email'|_}}*">
			                {% if arError.message is not empty and arError.field == 'email' %}
						        <p>{{ arError.message }}</p>
						    {% endif %}
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password" id="field-password" placeholder="Password*">
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password-confirmation" id="field-password-confirmation" placeholder="{{'Ripeti'|_}} Password*">
			            </p>
			            <a class="ps-btn benvenuto" href="javascript:registration()">{{'Registrati'|_}}</a>
			            <p>{{"Prendi visione dell'informativa clienti e acconsenti ai servizi di marketing e iniziative commerciali"|_}}</p>
			        </div>
		        </form>
		        
		        {% if arError.message is not empty %}
				    <p>{{ arError.message }}</p>
				{% endif %}
		    </div>
		</div>
	</div>
{% endif %}